Subject: [Roll] Maybe stupid question: draft-ietf-roll-trickle-mcast-05

From: Yusuke DOI <[email-masked]>
Date: Tue, 08 Oct 2013 22:05:50 +0900

Hi,

I'm trying to reproduce RPL on my local environment and got two questions.

1)

Section 9.2:

 o  This document defines an "inconsistent" transmission as receiving
      an MPL Data Message that has the same MPL Domain Address, seed-id
      value, and the M flag set, but has a sequence value less than MPL
      Data Message managed by the Trickle timer.

My reading from section 9.3 is: each data message is handled by correspoinding buffered message information base with the same sequence number, or if not, the message is accepted in a new buffered message information base with the sequence number. What is the case of a trickle timer (with an associated buffered message information base) need to handle 'inconsistent' data message?

I think I have some misunderstanding on somewhere....

2)

The draft says 'reset the timer'. I cannot find exact definition of resetting timer in RFC6206. I think let the timer start from the step 1 of RFC6206 section 4.2 will 'reset the timer'. Is it correct?

Regards,

Yusuke